package com.chelvc.framework.common.model;

import lombok.Getter;

/**
 * 终端枚举
 *
 * @author Woody
 * @date 2023/4/5
 */
@Getter
public enum Terminal implements Enumeration {
    /**
     * H5
     */
    H5("H5"),

    /**
     * Web
     */
    WEB("Web"),

    /**
     * App
     */
    APP("App"),

    /**
     * App H5
     */
    APP_H5("App H5"),

    /**
     * 小程序
     */
    APPLET("小程序"),

    /**
     * 小程序H5
     */
    APPLET_H5("小程序H5");

    /**
     * 终端描述
     */
    private final String description;

    Terminal(String description) {
        this.description = description;
    }
}
