package com.chelvc.framework.base.apidoc;

import java.lang.reflect.Method;

import com.arsframework.apidoc.core.MethodAnalyser;

/**
 * 方法解析器工厂实现
 *
 * @author Woody
 * @date 2023/4/5
 */
public class MethodAnalyserFactory implements MethodAnalyser.Factory {
    @Override
    public MethodAnalyser build(Method method) {
        return new CustomizeMethodAnalyser(method);
    }
}
