package com.chelvc.framework.common.model;

import lombok.Getter;

/**
 * 媒体类型枚举
 *
 * @author Woody
 * @date 2023/7/17
 */
@Getter
public enum Media implements Enumeration {
    /**
     * 图片
     */
    IMAGE("图片"),

    /**
     * 视频
     */
    VIDEO("视频");

    /**
     * 媒体描述
     */
    private final String description;

    Media(String description) {
        this.description = description;
    }
}
